/* $colors
 ------------------------------------------*/
@charset "UTF-8";
/* Color Variant: Primary */
.bg-primary {
    color: white;
    @include bg-variant($brand-primary);
}

.bg-primary-dark {
    color: white;
    @include bg-variant(darken($brand-primary, 5%));
}

.bg-primary-light {
    color: white;
    @include bg-variant(lighten($brand-primary, 5%));
}

/* Color Variant: Default */
.bg-default {
    @include bg-variant($brand-default);
}

.bg-default-dark {
    @include bg-variant(darken($brand-default, 5%));
}

.bg-default-light {
    @include bg-variant(lighten($brand-default, 2%));
}

/* Color Variant: Warning */
.bg-warning {
    color: white;
    @include bg-variant($brand-warning);
}

.bg-warning-dark {
    color: white;
    @include bg-variant(darken($brand-warning, 5%));
}

.bg-warning-light {
    color: white;
    @include bg-variant(lighten($brand-warning, 5%));
}

/* Color Variant: Success */
.bg-success {
    color: white;
    @include bg-variant($brand-success);
}

.bg-success-dark {
    color: white;
    @include bg-variant(darken($brand-success, 5%));
}

.bg-success-light {
    color: white;
    @include bg-variant(lighten($brand-success, 5%));
}

/* Color Variant: Info */
.bg-info {
    color: white;
    @include bg-variant($brand-info);
}

.bg-info-dark {
    color: white;
    @include bg-variant(darken($brand-info, 5%));
}

.bg-info-light {
    color: white;
    @include bg-variant(lighten($brand-info, 5%));
}

/* Color Variant: Danger */
.bg-danger {
    color: white;
    @include bg-variant($brand-danger);
}

.bg-danger-dark {
    color: white;
    @include bg-variant(darken($brand-danger, 5%));
}

.bg-danger-light {
    color: white;
    @include bg-variant(lighten($brand-danger, 5%));
}

/* Color Variant: White */
.bg-white {
    color: $text-color;
    @include bg-variant(white);
}

/* Color Variant: Dark */
.bg-dark {
    color: white;
    @include bg-variant($brand-dark);
}

.bg-dark-dark {
    color: white;
    @include bg-variant(darken($brand-dark, 5%));
}

.bg-dark-light {
    color: white;
    @include bg-variant(lighten($brand-dark, 5%));
}

/* Extra palette colors */
.bg-red {
    color: white;
    @include bg-variant(#F44336);
}

.bg-pink {
    color: white;
    @include bg-variant(#E91E63);
}

.bg-purple {
    color: white;
    @include bg-variant(#9C27B0);
}

.bg-deeppurple {
    color: white;
    @include bg-variant(#673AB7);
}

.bg-indigo {
    color: white;
    @include bg-variant(#3F51B5);
}

.bg-blue {
    color: white;
    @include bg-variant(#2196F3);
}

.bg-lightblue {
    color: white;
    @include bg-variant(#03A9F4);
}

.bg-cyan {
    color: white;
    @include bg-variant(#00BCD4);
}

.bg-teal {
    color: white;
    @include bg-variant(#009688);
}

.bg-green {
    color: white;
    @include bg-variant(#4CAF50);
}

.bg-lightgreen {
    color: white;
    @include bg-variant(#74D108);
}

.bg-lime {
    color: white;
    @include bg-variant(#CDDC39);
}

.bg-yellow {
    color: white;
    @include bg-variant(#FFEB3B);
}

.bg-amber {
    color: white;
    @include bg-variant(#FFC107);
}

.bg-orange {
    color: white;
    @include bg-variant(#FF9800);
}

.bg-deeporange {
    color: white;
    @include bg-variant(#FF5722);
}

.bg-brown {
    color: white;
    @include bg-variant(#795548);
}

.bg-grey {
    color: white;
    @include bg-variant(#9E9E9E);
}

.bg-bluegrey {
    color: white;
    @include bg-variant(#607D8B);
}

/* $TextColor */
.text-primary {
    @include text-emphasis-variant($brand-primary);
}

.text-default {
    @include text-emphasis-variant($brand-default);
}

.text-warning {
    @include text-emphasis-variant($brand-warning);
}

.text-success {
    @include text-emphasis-variant($brand-success);
}

.text-info {
    @include text-emphasis-variant($brand-info);
}

.text-white {
    @include text-emphasis-variant($brand-white);
}

.text-danger {
    @include text-emphasis-variant($brand-danger);
}

.text-muted {
    @include text-emphasis-variant(darken(#fff, 30%));
}

/* Extra text colors */
.text-red {
    @include text-emphasis-variant(#F44336);
}

.text-pink {
    @include text-emphasis-variant(#E91E63);
}

.text-purple {
    @include text-emphasis-variant(#9C27B0);
}

.text-deeppurple {
    @include text-emphasis-variant(#673AB7);
}

.text-indigo {
    @include text-emphasis-variant(#3F51B5);
}

.text-blue {
    @include text-emphasis-variant(#2196F3);
}

.text-lightblue {
    @include text-emphasis-variant(#03A9F4);
}

.text-cyan {
    @include text-emphasis-variant(#00BCD4);
}

.text-teal {
    @include text-emphasis-variant(#009688);
}

.text-green {
    @include text-emphasis-variant(#4CAF50);
}

.text-lightgreen {
    @include text-emphasis-variant(#74D108);
}

.text-lime {
    @include text-emphasis-variant(#CDDC39);
}

.text-yellow {
    @include text-emphasis-variant(#FFEB3B);
}

.text-amber {
    @include text-emphasis-variant(#FFC107);
}

.text-orange {
    @include text-emphasis-variant(#FF9800);
}

.text-deeporange {
    @include text-emphasis-variant(#FF5722);
}

.text-brown {
    @include text-emphasis-variant(#795548);
}

.text-grey {
    @include text-emphasis-variant(#9E9E9E);
}

.text-bluegrey {
    @include text-emphasis-variant(#607D8B);
}